{
    "__version": "2.13.0",
    "__comments": "Sample template to deploy a vCenter Server Appliance with an embedded Platform Services Controller on an ESXi host.",
    "new_vcsa": {
        "esxi": {
            "hostname": "{{ esxi_hostname }}",
            "username": "{{ esxi_username }}",
            "password": "{{ esxi_password }}",
            "deployment_network": "{{ vcsa_deployment_network }}",
            "datastore": "{{ vcsa_datastore }}"
        },
        "appliance": {
            "__comments": [
                "You must provide the 'deployment_option' key with a value, which will affect the VCSA's configuration parameters, such as the VCSA's number of vCPUs, the memory size, the storage size, and the maximum numbers of ESXi hosts and VMs which can be managed. For a list of acceptable values, run the supported deployment sizes help, i.e. vcsa-deploy --supported-deployment-sizes"
            ],
            "thin_disk_mode": true,
            "deployment_option": "{{ deployment_option }}",
            "name": "{{ vm_name }}"
        },
        "network": {
            "ip_family": "ipv4",
            "mode": "static",
            "ip": "{{ ip_address }}",
            "dns_servers": [
                {% if dns2 is not none %}
                    "{{ dns1 }}",
                    "{{ dns2 }}"
                {% else %}
                    "{{ dns1 }}"
                {% endif %}
            ],
            "prefix": "{{ prefix }}",
            "gateway": "{{ gateway }}",
            "system_name": "{{ system_name }}"
        },
        "os": {
            "password": "{{ vcsa_password }}",
            "ntp_servers": "{{ ntp|default("time.nist.gov", true) }}",
            "ssh_enable": true
        },
        "sso": {
            "password": "{{ sso_password }}",
            "domain_name": "{{ vcenter_domain_name }}"
        }
    },
    "ceip": {
        "description": {
            "__comments": [
                "++++VMware Customer Experience Improvement Program (CEIP)++++",
                "VMware's Customer Experience Improvement Program (CEIP) ",
                "provides VMware with information that enables VMware to ",
                "improve its products and services, to fix problems, ",
                "and to advise you on how best to deploy and use our ",
                "products. As part of CEIP, VMware collects technical ",
                "information about your organization's use of VMware ",
                "products and services on a regular basis in association ",
                "with your organization's VMware license key(s). This ",
                "information does not personally identify any individual. ",
                "",
                "Additional information regarding the data collected ",
                "through CEIP and the purposes for which it is used by ",
                "VMware is set forth in the Trust & Assurance Center at ",
                "http://www.vmware.com/trustvmware/ceip.html . If you ",
                "prefer not to participate in VMware's CEIP for this ",
                "product, you should disable CEIP by setting ",
                "'ceip_enabled': false. You may join or leave VMware's ",
                "CEIP for this product at any time. Please confirm your ",
                "acknowledgement by passing in the parameter ",
                "--acknowledge-ceip in the command line.",
                "++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++"
            ]
        },
        "settings": {
            "ceip_enabled": true
        }
    }
}

